Bug 164639 - CAN-2005-1740 net-snmp insecure temporary file usage
CAN-2005-1740 net-snmp insecure temporary file usage
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: net-snmp (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
: Security
Depends On:
Blocks: 156320
  Show dependency treegraph
Reported: 2005-07-29 12:10 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2005-373
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-28 10:26:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-07-29 12:10:43 EDT
+++ This bug was initially created as a clone of Bug #158769 +++

fixproc in Net-snmp 5.x before 5.2.1-r1 creates temporary files insecurely,
which allows local users to modify the contents of those files to execute
arbitrary commands, or overwrite arbitrary files via a symlink attack.
Comment 2 Red Hat Bugzilla 2005-09-28 10:26:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.